<template>
    <select name="per-page" class="cursor-pointer">
        <option :selected="this.value == '5'" value="5">5 per page</option>
        <option :selected="this.value == '10'" value="10">10 per page</option>
        <option :selected="this.value == '20'" value="20">20 per page</option>
    </select>
</template>

<script>

export default {
    props: ['value'],
    mounted(){
        var _this = this;
        this.$el.addEventListener("change", function(e){

            //if it has /page/ in the url, remove it
            var newUrl = Theme.site_url + "/newsroom";
            if(window.location.pathname.indexOf("/page/") !== -1){
                var newPath = window.location.pathname.split('/page/');
                newPath[1] = 1;
                newUrl = newPath.join("/page/");
            } else if(window.location.pathname.indexOf("/category/") !== -1){
                newUrl = window.location.pathname;
            }
            window.location.href = newUrl + "?" + this.name + '=' + this.value;
        });
    }
}

</script>